# Uses of Interface
com.sun.mirror.declaration.EnumConstantDeclaration

Packages that use EnumConstantDeclaration
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of EnumConstantDeclaration in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return types with arguments of type EnumConstantDeclaration
Modifier and Type
Method
Description
`Collection<EnumConstantDeclaration>`
EnumDeclaration.`getEnumConstants()`
Returns the enum constants defined for this enum.

## Uses of EnumConstantDeclaration in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type EnumConstantDeclaration
Modifier and Type
Method
Description
`void`
DeclarationVisitor.`visitEnumConstantDeclaration(EnumConstantDeclaration d)`
Visits an enum constant declaration.
`void`
SimpleDeclarationVisitor.`visitEnumConstantDeclaration(EnumConstantDeclaration d)`
Visits an enum constant declaration.